SystemOrganization addCategory: #ConfigurationOfAnnouncerCentricDebugger!

Object subclass: #ConfigurationOfAnnouncerCentricDebugger
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfAnnouncerCentricDebugger'!

!ConfigurationOfAnnouncerCentricDebugger commentStamp: '<historical>' prior: 0!
ConfigurationOfAnnouncerCentricDebugger loadDevelopment!

!ConfigurationOfAnnouncerCentricDebugger class methodsFor: 'private' stamp: 'AndreiChis 4/2/2013 19:03'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfAnnouncerCentricDebugger class methodsFor: 'metacello tool support' stamp: 'AndreiChis 4/2/2013 19:03'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfAnnouncerCentricDebugger class methodsFor: 'loading' stamp: 'AndreiChis 4/2/2013 19:25'!
loadDefault
	self loadDevelopment! !

!ConfigurationOfAnnouncerCentricDebugger class methodsFor: 'loading' stamp: 'AndreiChis 4/2/2013 19:25'!
loadDevelopment
	(self project version: #development) load! !

!ConfigurationOfAnnouncerCentricDebugger class methodsFor: 'accessing' stamp: 'AndreiChis 4/2/2013 19:02'!
project

	^self new project! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'baselines' stamp: 'AndreiChis 8/11/2013 18:11'!
baseline01: spec 
	<version: '0.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.smalltalkhub.com/mc/AndreiChis/AnnouncerCentricDebugger/main'.
		spec
                        package: 'ACD-Model' with: [spec requires: #('NewDebugger-Core' 'DebuggerActions')];
                        package: 'ACD-Glamour-Interface' with: [spec requires: #('Core' 'DebuggerExtensions' 'GT-Debugger')].

		spec group: 'default' with: #(
			'Core'
			'UI' ).
		spec group: 'Core' with: #(
			'ACD-Model' ).
		spec group: 'UI' with: #(
			'ACD-Glamour-Interface' ).
			
		spec project: 'GT-Debugger' with: [
                                spec
                                        className: 'ConfigurationOfGToolkit';
                                        file: 'ConfigurationOfGToolkit';
                                        version: #development;
                                        loads: 'GT-Debugger';
                                        repository: 'http://www.smalltalkhub.com/mc/Moose/GToolkit/main' ].
			
		spec project: 'NewDebugger-Core' with: [
				spec
					className: 'ConfigurationOfNewDebugger';
					file: 'ConfigurationOfNewDebugger';
					version: #stable;
					loads: 'Core';
					repository: 'http://www.smalltalkhub.com/mc/Pharo/Debugger/main' ].
		spec package: 'DebuggerExtensions' with: [ spec repository: 'http://www.smalltalkhub.com/mc/AndreiChis/Playground/main' ].
		spec package: 'DebuggerActions' with: [ spec repository: 'http://www.smalltalkhub.com/mc/AndreiChis/Playground/main' ]
	]! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'baselines' stamp: 'AndreiChis 1/21/2014 18:20'!
baseline02: spec
	<version: '0.2-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://www.smalltalkhub.com/mc/AndreiChis/AnnouncerCentricDebugger/main'.
			spec
				package: 'ACD-Model';
				package: 'ACD-Glamour-Interface' with: [ spec requires: #('ACD-Model' 'GT-Debugger') ].
				
			spec group: 'default' with: #(
				'Core' 
				'UI').
			spec group: 'Core' with: #('ACD-Model').
			spec group: 'UI' with: #('ACD-Glamour-Interface').
			
			spec
				project: 'GT-Debugger'
				with: [ 
					spec
						className: 'ConfigurationOfGToolkit';
						file: 'ConfigurationOfGToolkit';
						version: #development;
						loads: 'GT-Debugger';
						repository: 'http://www.smalltalkhub.com/mc/Moose/GToolkit/main' ] ]! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'baselines' stamp: 'AndreiChis 4/3/2014 11:56'!
baseline03: spec
	<version: '0.3-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #baseline.
			spec repository: 'http://www.smalltalkhub.com/mc/AndreiChis/AnnouncerCentricDebugger/main'.
			spec
				package: 'ACD-Model' with: [ spec requires: #('GTDebugger') ];
				package: 'ACD-Glamour-Interface' with: [ spec requires: #('ACD-Model') ].
				
			spec group: 'default' with: #(
				'Core' 
				'UI').
			spec group: 'Core' with: #('ACD-Model').
			spec group: 'UI' with: #('ACD-Glamour-Interface').
			
			spec
				project: 'GTDebugger'
				with: [ 
					spec
						className: 'ConfigurationOfGTDebugger';
						file: 'ConfigurationOfGTDebugger';
						version: #development;
						repository: 'http://www.smalltalkhub.com/mc/Moose/GToolkit/main' ] ]! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'symbolic versions' stamp: 'AndreiChis 4/3/2014 11:30'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.3-baseline'! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'accessing' stamp: 'AndreiChis 4/2/2013 19:02'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'symbolic versions' stamp: 'StephanEggermont 12/10/2014 10:42'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.3'.
	! !

!ConfigurationOfAnnouncerCentricDebugger methodsFor: 'versions' stamp: 'StephanEggermont 12/10/2014 10:43'!
version03: spec
	<version: '0.3' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.3'.
		spec author: 'StephanEggermont'.
		spec timestamp: '12/10/2014 10:34'.
		spec 
			project: 'GTDebugger' with: #stable.
		spec 
			package: 'ACD-Glamour-Interface' with: 'ACD-Glamour-Interface-AndreiChis.55';
			package: 'ACD-Model' with: 'ACD-Model-AndreiChis.40';
			package: 'ACD-Tests' with: 'ACD-Tests-AndreiChis.1'] ! !
